'*********************************************
'* Initializing SFC                          *
'* Usage:                                    *
'*   Dim SFC                                 *
'*   Set SFC = CreateObject("SfcMini.tools") *
'*   Execute SFC.Initialize                  *
'*********************************************

execute DeclareFunctions()
execute DeclareTypes()

'**********************************
'* Automatic declare of functions *
'**********************************

public function DeclareFunctions()
  '/* This fuction compiles Declare statement from VB */
  '/* Declare statements must be written as:          */
  '/*                                                 */
  '/* 'Begin Declaration                              */
  '/*       |                                         */
  '/*       |                                         */
  '/*       |                                         */
  '/* 'Declare Function CreateWindowEx Lib "user32" Alias "CreateWindowExA" (ByVal dwExStyle As Long, ByVal lpClassName As String, ByVal lpWindowName As String, ByVal dwStyle As Long, ByVal x As Long, ByVal y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hWndParent As Long, ByVal hMenu As Long, ByVal hInstance As Long, lpParam As Any) As Long */
  '/*       |                                         */
  '/*       |                                         */
  '/*       |                                         */
  '/* 'End Declaration                                */
  '/*                                                 */
  '/*  ' Alias "XXXX" ' is optional.                  */
  '/*                                                 */

  Dim fso,tmpLine,ThisVbs
  Dim decStr,FuncName,DllName,AliasName
  Set fso = CreateObject("Scripting.FileSystemObject")
  Set ThisVbs = fso.OpenTextFile(Wscript.ScriptFullName)

  DeclareFunctions=""
  'Seek "'Begin Declaration"
  Do Until ThisVbs.AtEndOfStream
    tmpLine=lcase(TrimEx(ThisVbs.ReadLine))
    if tmpLine="'begin declaration" then 

      Do Until ThisVbs.AtEndOfStream
        tmpLine=TrimEx(ThisVbs.ReadLine)
        if lcase(tmpLine)="'end declaration" then
          exit do
        elseif DeclareFunctionsSub(tmpLine)="'declare" then
          call DeclareFunctionsSubMatchCase(tmpLine)         'Function or Sub
          FuncName=DeclareFunctionsSubMatchCase(tmpLine) 'Function Name
          decStr="Dim "+FuncName+vbcrlf
          decStr=decStr+"Set "+FuncName+"=CreateObject(""SfcMini.DynaCall"")"+vbcrlf
          decStr=decStr+FuncName+".Declare "
          call DeclareFunctionsSub(tmpLine)              'Lib
          decStr=decStr+""+DeclareFunctionsSub(tmpLine)+""+"," 'DLL name
          if DeclareFunctionsSub(tmpLine)="alias" then   'maybe Alias
            AliasName=DeclareFunctionsSubMatchCase(tmpLine)
          else
            AliasName=""""+FuncName+""""
          end if
          decStr=decStr+AliasName+vbcrlf
          DeclareFunctions=DeclareFunctions+decStr
        end if
      loop

    End if
  Loop
  ThisVbs.Close
end function

private function DeclareFunctionsSub(T)
  'pick up a word from T
  Dim i
  if right(T,1)<>" " then T=T+" "
  i=instr(1,T," ")
  DeclareFunctionsSub=lcase(left(T,i-1))
  T=mid(T,i+1)
end function
private function DeclareFunctionsSubMatchCase(T)
  'pick up a word from T
  Dim i
  if right(T,1)<>" " then T=T+" "
  i=instr(1,T," ")
  DeclareFunctionsSubMatchCase=left(T,i-1)
  T=mid(T,i+1)
end function
      

'**********************************************
'* Functions used for type-definition classes *
'**********************************************

public function DeclareTypes()
  '/* This function declare types. Type declaration */
  '/* statements must be written as:                */
  '/*                                               */
  '/* 'Begin Declaration                            */
  '/*       |                                       */
  '/* Type WNDCLASSEX                               */
  '/*     cbSize As Long                            */
  '/*       |                                       */
  '/*     lpszClassName As String                   */
  '/*       |                                       */
  '/* End Type                                      */
  '/*       |                                       */
  '/* 'End Declaration                              */

  Dim i,T,TT,fso,ThisVbs,tmpLine,Length,varName,varType,StructName,isDim
  Set fso = CreateObject("Scripting.FileSystemObject")
  Set ThisVbs = fso.OpenTextFile(Wscript.ScriptFullName)

  DeclareTypes=""
  'Seek "'Begin Declaration"
  Do Until ThisVbs.AtEndOfStream
    tmpLine=lcase(TrimEx(ThisVbs.ReadLine))
    if tmpLine="'begin declaration" then 
      Do Until ThisVbs.AtEndOfStream
        tmpLine=TrimEx(ThisVbs.ReadLine)
        if lcase(tmpLine)="'end declaration" then
          exit do
        elseif lcase(left(tmpLine,6))="'type " then
          Length=0
          StructName=mid(tmpLine,7)
          T=""  'T  is used for declaration of structure (in the Class_Initialize method)
          TT="" 'TT is used for public property let/get (in the class)
          tmpLine=TrimEx(mid(ThisVbs.ReadLine,2))
          Do Until lcase(tmpLine)="end type"
            i=instr(1,tmpLine," as ",1)
            if 0<i then
              if T="" then 'first line
                T="  vStructure _"+vbcrlf
              else
                T=T+", _"+vbcrlf
              end if
              varName=TrimEx(left(tmpLine,i))
              isDim=instr(1,varName,"(")
              varType=TrimEx(mid(tmpLine,i+4))
              T=T+""""+varName+""","""+varType+""""
              if isDim then
                varName=left(varName,isDim-1)
                TT=TT+"Public Property Let "+varName+"(v_y,v_x)"+vbcrlf
                TT=TT+"  vStructure."+varName+"(v_y)=v_x"+vbcrlf
                TT=TT+"End Property"+vbcrlf
                TT=TT+"Public Property Get "+varName+"(v_y)"+vbcrlf
                TT=TT+"  "+varName+"=vStructure."+varName+"(v_y)"+vbcrlf
                TT=TT+"End Property"+vbcrlf
              else
                TT=TT+"Public Property Let "+varName+"(v_x)"+vbcrlf
                TT=TT+"  vStructure."+varName+"=v_x"+vbcrlf
                TT=TT+"End Property"+vbcrlf
                TT=TT+"Public Property Get "+varName+"()"+vbcrlf
                TT=TT+"  "+varName+"=vStructure."+varName+vbcrlf
                TT=TT+"End Property"+vbcrlf
              end if
            end if
            tmpLine=TrimEx(mid(ThisVbs.ReadLine,2))
          Loop 
          T=T+vbcrlf
          DeclareTypes=DeclareTypes+"Class "+StructName+vbcrlf
          DeclareTypes=DeclareTypes+"Public Function Address()"+vbcrlf
          DeclareTypes=DeclareTypes+"  Address=vStructure"+vbcrlf
          DeclareTypes=DeclareTypes+"End Function"+vbcrlf
          DeclareTypes=DeclareTypes+"Public Function Length()"+vbcrlf
          DeclareTypes=DeclareTypes+"  Length=CreateObject(""SfcMini.tools"").Len(vStructure)"+vbcrlf
          DeclareTypes=DeclareTypes+"End Function"+vbcrlf
          DeclareTypes=DeclareTypes+"Private vStructure"+vbcrlf
          DeclareTypes=DeclareTypes+"Private Sub Class_Initialize"+vbcrlf
          DeclareTypes=DeclareTypes+"Set vStructure=CreateObject(""SfcMini.Structure"")"+vbcrlf
          DeclareTypes=DeclareTypes+T
          DeclareTypes=DeclareTypes+"End Sub"+vbcrlf
          DeclareTypes=DeclareTypes+TT
          DeclareTypes=DeclareTypes+"End Class"+vbcrlf
        end if
      Loop
    end if
  loop
  ThisVbs.Close
end function

Public Function TrimEx(T) 'remove tag also
  TrimEx=T
  Do 
    TrimEx=Trim(TrimEx)
    if len(TrimEx)=0 then exit do
    if left(TrimEx,1)=chr(9) then 
      TrimEx=mid(TrimEx,2)
    elseif right(TrimEx,1)=chr(9) then 
      TrimEx=left(TrimEx,len(TrimEx)-1)
    elseif left(TrimEx,1)<>" " and right(TrimEx,1)<>" " then
      exit do
    end if
  loop
End Function

'**************************************************
'* End Functions used for type-definition classes *
'**************************************************
